# Class CIM_DocumentAuthentication
extends CIM_AuthenticationCondition

A class describing a company's and/or administrator's credential requirements that should be authenticated in order to establish/trust a CIM_Identity. This class defines the specific document that should be authenticated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition
|
+--CIM_AuthenticationCondition
|
+--CIM_DocumentAuthentication

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class describing a company's and/or administrator's credential requirements that should be authenticated in order to establish/trust a CIM_Identity. This class defines the specific document that should be authenticated.
UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DocumentIdentifier | string |
Description | string | String defining a particular document which may be used in the authentication process for example, a specific driver's license or passport number. If left blank, then any valid document matching the category specified by the TypeOfDocument property, can be accepted.
OtherDocument | string |
Description | string | String specifying the document when the TypeOfDocument property is set to 1, "Other".
ModelCorrespondence | string | CIM_DocumentAuthentication.TypeOfDocument
TypeOfDocument | uint16 |
Description | string | Integer enumeration identifying the document that should be authenticated.
ModelCorrespondence | string | CIM_DocumentAuthentication.OtherDocument
ValueMap | string | 1, 2, 3, 4, 5, 6, 7
Values | string | Other, Passport, Birth Certificate, Credit Card, Drivers License, Membership Card, Social Security Card

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyCondition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyConditionName | string | CIM_PolicyCondition
PolicyRuleCreationClassName | string | CIM_PolicyCondition
PolicyRuleName | string | CIM_PolicyCondition
SystemCreationClassName | string | CIM_PolicyCondition
SystemName | string | CIM_PolicyCondition
PolicyKeywords | string[] | CIM_Policy

## Class Methods